
TYPO3.Flow - Bug # 13891

Status: Resolved Priority: Should have
Author: Daniel Poetzinger Category: - Error Handler Report -
Created: 2011-03-17 Assigned To: Bastian Waidelich
Updated: 2011-04-01 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: F3\FLOW3\Error\Exception thrown in file ErrorHandler.php
Description

Notice: Undefined index: FLOW3_BOOTSTRAP_COMPILEKEY in
/opt/local/apache2/htdocs/Conference/Packages/Framework/FLOW3/Classes/Core/Bootstrap.php line 298
4 F3\FLOW3\Error\ErrorHandler::handleError(8, "Undefined index: FLOW3_BOOTSTRAP_COMPILEKEY",
"/opt/local/apache2/htdocs/Conference/Packages/Framework/FLOW3/Classes/Core/Bootstrap.php", 298, array)
3 F3\FLOW3\Core\Bootstrap::executeCompileSubrequestIfTriggered()
2 F3\FLOW3\Core\Bootstrap::run()
1 require("/opt/local/apache2/htdocs/Conference/Packages/Framework/FLOW3/Scripts/FLOW3.php")

Please include more helpful information!

History
#1 - 2011-03-17 23:58 - Daniel Poetzinger

appears after calling fresh install:

Warning: file_get_contents(
http://conference.local.lan/?FLOW3_BOOTSTRAP_ACTION=compile&amp;FLOW3_BOOTSTRAP_COMPILEKEY=4b95c55e-da01-4f35-89d1-acbb
627e2b7) [<a href='function.file-get-contents'>function.file-get-contents</a>]: failed to open stream: HTTP request failed! HTTP/1.1 500 Internal Server
Error
 in /opt/local/apache2/htdocs/Conference/Packages/Framework/FLOW3/Classes/Core/Bootstrap.php line 350
4 F3\FLOW3\Error\ErrorHandler::handleError(2, "file_get_contents(http://conference.local.lan/?FLO…quest failed! HTTP/1.1 500 Internal Server Error
⏎", "/opt/local/apache2/htdocs/Conference/Packages/Framework/FLOW3/Classes/Core/Bootstrap.php", 350, array)
3 file_get_contents("http://conference.local.lan/?FLOW3_BOOTSTRAP_ACTIO…AP_COMPILEKEY=4b95c55e-da01-4f35-89d1-acbb2627e2b7")
2 F3\FLOW3\Core\Bootstrap::run()
1 require("/opt/local/apache2/htdocs/Conference/Packages/Framework/FLOW3/Scripts/FLOW3.php")

Please include more helpful information!

The above Exception was the result from:
http://conference.local.lan/?FLOW3_BOOTSTRAP_ACTION=compile&amp;FLOW3_BOOTSTRAP_COMPILEKEY=4b95c55e-da01-4f35-89d1-acbb
627e2b7

#2 - 2011-03-21 11:12 - Karsten Dambekalns
- Status changed from New to Under Review
- Assigned To set to Bastian Waidelich
- Target version set to 1.0 beta 1
https://review.typo3.org/#change,1214

#3 - 2011-04-01 14:47 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
